## EShellSearchbar EShellSearchbar — quick search interface |

## Functions

GtkWidget * | e_shell_searchbar_new ()
void | e_shell_searchbar_init_ui_data ()
EShellView * | e_shell_searchbar_get_shell_view ()
EActionComboBox * | e_shell_searchbar_get_filter_combo_box ()
gboolean | e_shell_searchbar_get_filter_visible ()
void | e_shell_searchbar_set_filter_visible ()
const gchar * | e_shell_searchbar_get_search_hint ()
void | e_shell_searchbar_set_search_hint ()
EUIAction * | e_shell_searchbar_get_search_option ()
void | e_shell_searchbar_set_search_option ()
const gchar * | e_shell_searchbar_get_search_text ()
void | e_shell_searchbar_set_search_text ()
GtkWidget * | e_shell_searchbar_get_search_box ()
EActionComboBox * | e_shell_searchbar_get_scope_combo_box ()
gboolean | e_shell_searchbar_get_scope_visible ()
void | e_shell_searchbar_set_scope_visible ()
void | e_shell_searchbar_set_state_dirty ()
const gchar * | e_shell_searchbar_get_state_group ()
void | e_shell_searchbar_set_state_group ()
void | e_shell_searchbar_load_state ()
void | e_shell_searchbar_save_state ()
void | e_shell_searchbar_search_entry_grab_focus ()
gboolean | e_shell_searchbar_search_entry_has_focus ()

## Properties

EActionComboBox * | filter-combo-box | Read
gboolean | filter-visible | Read / Write / Construct
EActionComboBox * | scope-combo-box | Read
gboolean | scope-visible | Read / Write / Construct
char * | search-hint | Read / Write
EUIAction * | search-option | Read / Write
char * | search-text | Read / Write
EShellView * | shell-view | Read / Write / Construct Only
char * | state-group | Read / Write / Construct

## Types and Values

struct | EShellSearchbar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EShellSearchbar

## Implemented Interfaces

EShellSearchbar implements AtkImplementorIface, GtkBuildable, GtkOrientable and EExtensible.

## Includes

    #include <shell/e-shell-searchbar.h>

## Description

## Functions

### e_shell_searchbar_new ()

    GtkWidget *
    e_shell_searchbar_new (EShellView *shell_view);

Creates a new EShellSearchbar instance.

#### Parameters

shell_view | an EShellView |

#### Returns

a new EShellSearchbar instance

### e_shell_searchbar_init_ui_data ()

    void
    e_shell_searchbar_init_ui_data (EShellSearchbar *searchbar);

### e_shell_searchbar_get_shell_view ()

    EShellView *
    e_shell_searchbar_get_shell_view (EShellSearchbar *searchbar);

Returns the EShellView that was passed to `e_shell_searchbar_new()`.

#### Parameters

searchbar | an EShellSearchbar |

#### Returns

the EShellView to which `searchbar` belongs

### e_shell_searchbar_get_filter_combo_box ()

    EActionComboBox *
    e_shell_searchbar_get_filter_combo_box
                                   (EShellSearchbar *searchbar);

### e_shell_searchbar_get_filter_visible ()

    gboolean
    e_shell_searchbar_get_filter_visible (EShellSearchbar *searchbar);

### e_shell_searchbar_set_filter_visible ()

    void
    e_shell_searchbar_set_filter_visible (EShellSearchbar *searchbar,
                                          gboolean filter_visible);

### e_shell_searchbar_get_search_hint ()

    const gchar *
    e_shell_searchbar_get_search_hint (EShellSearchbar *searchbar);

### e_shell_searchbar_set_search_hint ()

    void
    e_shell_searchbar_set_search_hint (EShellSearchbar *searchbar,
                                       const gchar *search_hint);

### e_shell_searchbar_get_search_option ()

    EUIAction *
    e_shell_searchbar_get_search_option (EShellSearchbar *searchbar);

### e_shell_searchbar_set_search_option ()

    void
    e_shell_searchbar_set_search_option (EShellSearchbar *searchbar,
                                         EUIAction *search_option);

### e_shell_searchbar_get_search_text ()

    const gchar *
    e_shell_searchbar_get_search_text (EShellSearchbar *searchbar);

### e_shell_searchbar_set_search_text ()

    void
    e_shell_searchbar_set_search_text (EShellSearchbar *searchbar,
                                       const gchar *search_text);

### e_shell_searchbar_get_search_box ()

    GtkWidget *
    e_shell_searchbar_get_search_box (EShellSearchbar *searchbar);

### e_shell_searchbar_get_scope_combo_box ()

    EActionComboBox *
    e_shell_searchbar_get_scope_combo_box (EShellSearchbar *searchbar);

### e_shell_searchbar_get_scope_visible ()

    gboolean
    e_shell_searchbar_get_scope_visible (EShellSearchbar *searchbar);

### e_shell_searchbar_set_scope_visible ()

    void
    e_shell_searchbar_set_scope_visible (EShellSearchbar *searchbar,
                                         gboolean scope_visible);

### e_shell_searchbar_set_state_dirty ()

    void
    e_shell_searchbar_set_state_dirty (EShellSearchbar *searchbar);

### e_shell_searchbar_get_state_group ()

    const gchar *
    e_shell_searchbar_get_state_group (EShellSearchbar *searchbar);

### e_shell_searchbar_set_state_group ()

    void
    e_shell_searchbar_set_state_group (EShellSearchbar *searchbar,
                                       const gchar *state_group);

### e_shell_searchbar_load_state ()

    void
    e_shell_searchbar_load_state (EShellSearchbar *searchbar);

### e_shell_searchbar_save_state ()

    void
    e_shell_searchbar_save_state (EShellSearchbar *searchbar);

### e_shell_searchbar_search_entry_grab_focus ()

    void
    e_shell_searchbar_search_entry_grab_focus
                                   (EShellSearchbar *searchbar);

### e_shell_searchbar_search_entry_has_focus ()

    gboolean
    e_shell_searchbar_search_entry_has_focus
                                   (EShellSearchbar *searchbar);

## Types and Values

### struct EShellSearchbar

    struct EShellSearchbar;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“filter-combo-box”` property

      “filter-combo-box”         EActionComboBox *

Owner: EShellSearchbar

Flags: Read

### The `“filter-visible”` property

      “filter-visible”           gboolean

Owner: EShellSearchbar

Flags: Read / Write / Construct

Default value: TRUE

### The `“scope-combo-box”` property

      “scope-combo-box”          EActionComboBox *

Owner: EShellSearchbar

Flags: Read

### The `“scope-visible”` property

      “scope-visible”            gboolean

Owner: EShellSearchbar

Flags: Read / Write / Construct

Default value: FALSE

### The `“search-hint”` property

      “search-hint”              char *

Owner: EShellSearchbar

Flags: Read / Write

Default value: NULL

### The `“search-option”` property

      “search-option”            EUIAction *

Owner: EShellSearchbar

Flags: Read / Write

### The `“search-text”` property

      “search-text”              char *

Owner: EShellSearchbar

Flags: Read / Write

Default value: NULL

### The `“shell-view”` property

      “shell-view”               EShellView *

The EShellView to which the searchbar widget belongs.

Owner: EShellSearchbar

Flags: Read / Write / Construct Only

### The `“state-group”` property

      “state-group”              char *

Key file group name to read and write search bar state.

Owner: EShellSearchbar

Flags: Read / Write / Construct

Default value: "Search Bar"